# Operators and Functions

## Operators in Decision Tables

Every condition cell in the decision table can have a different operator. There are three types of operators you can use: [Basic](/doc/v1/decision-tables/operators/general-operators.md), [Dates](/doc/v1/decision-tables/operators/date-operators.md) and [Functions](/doc/v1/decision-tables/operators/functions.md).

### Basic Operators

Basic operators can be used for decision rules involving **Strings, Numbers**, or **Booleans**.

![Basic operators modal](/files/rz9yRHPlfdRh7nwSRt3p)

{% hint style="info" %}
List of [Basic operators](/doc/v1/decision-tables/operators/general-operators.md).
{% endhint %}

### Date Operators

Date operators are specifically used for comparing dates.

![Dates operators modal](/files/dPyDkHUIKjWFUeld9EKD)

{% hint style="info" %}
List of [Date operators](/doc/v1/decision-tables/operators/date-operators.md).
{% endhint %}

### Functions

Functions are specifically used to create custom function validations.

![Functions operators modal](/files/VEOqH2xwyYqF323FB2Ks)

{% hint style="info" %}
List of [Functions](/doc/v1/decision-tables/operators/functions.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/decision-tables/operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
